iOS Swift Basics An Introduction to Swift Programming An Introduction to Xcode

Cannot download xcode from Apple store as they say need 10.12.6 OSX version or later. My mac is 10.10.5 wont install.

When I go into Apple menu About this Mac and try to update I'm told no updates available. Any suggestions. Noela

2 Answers

A cheat you can do is update your Mac's firmware to a Mac that is similar to your and can update to the newest OS (basically faking out your machine to think it's a different model). Apples doesn't support this but in the Mac Pro community many people do this to get more out of there machines.

So if you have a Mac Pro Version 4,1 you can update the firmware to '5,1'. Your going to have to look at what to do according to your machine.

Jennifer Nordell
STAFF
Jennifer Nordell
Treehouse Staff

Hi there! First, you need to upgrade your operating system (if possible). Older Macs will not support the newest version of macOS. First, make sure you make a backup of your file system preferably with Time Machine. Then go to the App Store and search for High Sierra. Download and install High Sierra onto your system. When it is done, proceed to download the newest verion of Xcode.

Hope this helps! :sparkles: